AGMaterializer (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.repository, class: AGMaterializer

Package com.franz.agraph.repository

# Class AGMaterializer

java.lang.Object
com.franz.agraph.repository.AGMaterializer

public class AGMaterializer extends Object
A materializer governs how triples are inferred and added to a repository.

Since:
  v4.9

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getCommitPeriod()`
  Gets the commit period for materialized triples.
  `org.eclipse.rdf4j.model.Resource`
  `getInferredGraph()`
  Gets the graph the inferred triples will be placed in.
  `Boolean`
  `getUseTypeSubproperty()`
  Gets the useTypeSubproperty flag.
  `List<String>`
  `getWithoutRulesets()`
  Gets the excluded rulesets.
  `List<String>`
  `getWithRulesets()`
  Gets the included rulesets.
  `static AGMaterializer`
  `newInstance()`
  Gets a default materializer that can be further configured.
  `void`
  `setCommitPeriod(Integer periodInTriples)`
  Sets the commit period for materialized triples.
  `void`
  `setInferredGraph(org.eclipse.rdf4j.model.Resource inferredGraph)`
  Sets the the graph the inferred triples will be placed in.
  `void`
  `setUseTypeSubproperty(Boolean use)`
  Sets the useTypeSubproperty flag.
  `void`
  `withoutRuleset(String ruleset)`
  Excludes a ruleset from materialization.
  `void`
  `withRuleset(String ruleset)`
  Adds a ruleset to be used during materialization.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### newInstance

    public static AGMaterializer newInstance()
    Gets a default materializer that can be further configured.

    See also the HTTP protocol documentation for materializing entailed triples.

    Returns:
      a default materializer.

  - ### withRuleset

    public void withRuleset(String ruleset)
    Adds a ruleset to be used during materialization.

    See also the HTTP protocol documentation for materializing entailed triples.

    Parameters:
      `ruleset` - the name of the ruleset to include.

  - ### getWithRulesets

    public List<String> getWithRulesets()
    Gets the included rulesets.
    Returns:
      the with rulesets

  - ### withoutRuleset

    public void withoutRuleset(String ruleset)
    Excludes a ruleset from materialization.

    See also the HTTP protocol documentation for materializing entailed triples.

    Parameters:
      `ruleset` - the name of the ruleset to exclude.

  - ### getWithoutRulesets

    public List<String> getWithoutRulesets()
    Gets the excluded rulesets.
    Returns:
      the without rulesets

  - ### getCommitPeriod

    public Integer getCommitPeriod()
    Gets the commit period for materialized triples.

    See also the HTTP protocol documentation for materializing entailed triples.

    Returns:
      the commit period in triples.

  - ### setCommitPeriod

    public void setCommitPeriod(Integer periodInTriples)
    Sets the commit period for materialized triples.

    Useful for limiting the back-end's memory usage during a large materialization. When periodInTriples is null (the default), the server's default setting is used.

    See also the HTTP protocol documentation for materializing entailed triples.

    Parameters:
      `periodInTriples` - commit every time this many triples are added

  - ### getUseTypeSubproperty

    public Boolean getUseTypeSubproperty()
    Gets the useTypeSubproperty flag.

    See also the HTTP protocol documentation for materializing entailed triples.

    Returns:
      the current setting

  - ### setUseTypeSubproperty

    public void setUseTypeSubproperty(Boolean use)
    Sets the useTypeSubproperty flag.

    When use is null (the default), the server's default setting is used.

    See also the HTTP protocol documentation for materializing entailed triples.

    Parameters:
      `use` - true when using this inference

  - ### getInferredGraph

    public org.eclipse.rdf4j.model.Resource getInferredGraph()
    Gets the graph the inferred triples will be placed in.

    If the value is null (the default), triples will be placed in the default graph.

    Returns:
      Graph URI or null (meaning 'the default graph')

  - ### setInferredGraph

    public void setInferredGraph(org.eclipse.rdf4j.model.Resource inferredGraph)
    Sets the the graph the inferred triples will be placed in.
    Parameters:
      `inferredGraph` - Graph URI or null (meaning 'the default graph')